#!/bin/sh
#
#  Installation shell script, read INSTALL for details
#

echo " "

BINDEST=/usr/local/bin
DOCDEST=/usr/doc/dns2go-2.0
MANDEST=/usr/local/man

# select the architecture

case `uname` in
	OpenBSD)
	ARCH=OpenBSD
	;;
	
	FreeBSD)
	ARCH=FreeBSD
	;;
	
	Linux)
	ARCH=Linux
	;;
	
	*)
	echo "Unrecognized version: Installing Linux binary"
	ARCH=Linux
	;;
esac


# If Linux, check for glibc library

if [ $ARCH = "Linux" ] ; then
    if [ -f /lib/libc.so.5 ] ;  then
    	ARCH=Linux/libc.so.5
    elif [ -f /lib/i386-linux-gnu/libc.so.5 ] ; then
    	ARCH=Linux/libc.so.5
    elif [ -f /lib/libc.so.6 ] ; then
    	ARCH=Linux/libc.so.6
    elif [ -f /lib/i386-linux-gnu/libc.so.6 ] ; then
    	ARCH=Linux/libc.so.6
    else
    	echo "Error - Could not find glibc library";
    	exit -1;
    fi
fi

echo " "
echo "Copying files..."

mkdir -p ${BINDEST} 2>/dev/null
cp ${ARCH}/dns2go ${BINDEST}/dns2go
chmod 755 ${BINDEST}/dns2go
mkdir -p ${MANDEST}/man1 2>/dev/null
cp dns2go.1 ${MANDEST}/man1
chmod 644 ${MANDEST}/man1/dns2go.1
mkdir -p ${MANDEST}/man5 2>/dev/null
cp dns2go.conf.5 ${MANDEST}/man5
chmod 644 ${MANDEST}/man5/dns2go.conf.5
mkdir -p ${DOCDEST} 2>/dev/null
cp README ${DOCDEST}
cp INSTALL ${DOCDEST}
cp LICENSE ${DOCDEST}
cp USAGE_POLICY ${DOCDEST}

echo " "
echo "DNS2Go unix client version 2.0 is installed"
echo " "
echo "The README is recommended for users upgrading from 1.x."
echo "Manual pages for dns2go and dns2go.conf are available."
echo "/usr/local/bin/dns2go -h is also useful."
echo " "
echo "Thanks for using DNS2Go from Deerfield.com"
echo " "

